<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports1.css" rel="stylesheet" id="ultra" />
    <link type="text/css" href="testng-reports.css" rel="stylesheet" id="retro" disabled="false"/>
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <button id="button" class="button">Switch Retro Theme</button> <!-- button -->
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" title="Collapse/expand all the suites" class="collapse-all-link">
          <img src="collapseall.gif" class="collapse-all-icon">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" panel-name="suite-jsonmapper_test_scenarios" class="navigator-link">
              <span class="suite-name border-passed">jsonmapper test scenarios</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" panel-name="test-xml-jsonmapper_test_scenarios" class="navigator-link ">
                    <span>testng.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="testlist-jsonmapper_test_scenarios" class="navigator-link ">
                    <span class="test-stats">1 test</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="group-jsonmapper_test_scenarios" class="navigator-link ">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="times-jsonmapper_test_scenarios" class="navigator-link ">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="reporter-jsonmapper_test_scenarios" class="navigator-link ">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="ignored-methods-jsonmapper_test_scenarios" class="navigator-link ">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="chronological-jsonmapper_test_scenarios" class="navigator-link ">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">28 methods,   28 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-jsonmapper_test_scenarios" class="hide-methods passed suite-jsonmapper_test_scenarios"> (hide)</a> <!-- hide-methods passed suite-jsonmapper_test_scenarios -->
                      <a href="#" panel-name="suite-jsonmapper_test_scenarios" class="show-methods passed suite-jsonmapper_test_scenarios"> (show)</a> <!-- show-methods passed suite-jsonmapper_test_scenarios -->
                    </span>
                    <div class="method-list-content passed suite-jsonmapper_test_scenarios">
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._03.TestForBooleanValues" class="method navigator-link" hash-for-method="_01">_01</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._02.TestForNumericValues" class="method navigator-link" hash-for-method="_01">_01</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._02.TestForNumericValues" class="method navigator-link" hash-for-method="_02">_02</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._03.TestForBooleanValues" class="method navigator-link" hash-for-method="_02">_02</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._03.TestForBooleanValues" class="method navigator-link" hash-for-method="_03">_03</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._02.TestForNumericValues" class="method navigator-link" hash-for-method="_03">_03</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._02.TestForNumericValues" class="method navigator-link" hash-for-method="_04">_04</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._03.TestForBooleanValues" class="method navigator-link" hash-for-method="_04">_04</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._02.TestForNumericValues" class="method navigator-link" hash-for-method="_05">_05</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._03.TestForBooleanValues" class="method navigator-link" hash-for-method="_05">_05</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._03.TestForBooleanValues" class="method navigator-link" hash-for-method="_06">_06</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._02.TestForNumericValues" class="method navigator-link" hash-for-method="_06">_06</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._03.TestForBooleanValues" class="method navigator-link" hash-for-method="_07">_07</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._02.TestForNumericValues" class="method navigator-link" hash-for-method="_07">_07</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._02.TestForNumericValues" class="method navigator-link" hash-for-method="_08">_08</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._03.TestForBooleanValues" class="method navigator-link" hash-for-method="_08">_08</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._02.TestForNumericValues" class="method navigator-link" hash-for-method="_09">_09</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._03.TestForBooleanValues" class="method navigator-link" hash-for-method="_09">_09</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._02.TestForNumericValues" class="method navigator-link" hash-for-method="_10">_10</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._03.TestForBooleanValues" class="method navigator-link" hash-for-method="_10">_10</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._02.TestForNumericValues" class="method navigator-link" hash-for-method="_11">_11</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._02.TestForNumericValues" class="method navigator-link" hash-for-method="_12">_12</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._02.TestForNumericValues" class="method navigator-link" hash-for-method="_13">_13</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios._02.TestForNumericValues" class="method navigator-link" hash-for-method="_14">_14</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios.s01.ScenarioSet01" class="method navigator-link" hash-for-method="test01">test01</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios.s01.ScenarioSet01" class="method navigator-link" hash-for-method="test02">test02</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios.s01.ScenarioSet01" class="method navigator-link" hash-for-method="test03">test03</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-jsonmapper_test_scenarios" title="id.jsonmapper.test.scenarios.s01.ScenarioSet01" class="method navigator-link" hash-for-method="test05">test05</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-jsonmapper_test_scenarios -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-jsonmapper_test_scenarios" class="panel jsonmapper_test_scenarios">
          <div class="suite-jsonmapper_test_scenarios-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">id.jsonmapper.test.scenarios.s01.ScenarioSet01</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="test01">
                  </a> <!-- test01 -->
                  <span class="method-name">test01</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="test02">
                  </a> <!-- test02 -->
                  <span class="method-name">test02</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="test03">
                  </a> <!-- test03 -->
                  <span class="method-name">test03</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="test05">
                  </a> <!-- test05 -->
                  <span class="method-name">test05</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-jsonmapper_test_scenarios-class-passed -->
          <div class="suite-jsonmapper_test_scenarios-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">id.jsonmapper.test.scenarios._02.TestForNumericValues</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="_01">
                  </a> <!-- _01 -->
                  <span class="method-name">_01</span>
                  <em>
(missing json field populates to an int value of 0)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_02">
                  </a> <!-- _02 -->
                  <span class="method-name">_02</span>
                  <em>
(missing json field populates to an Integer value of null)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_03">
                  </a> <!-- _03 -->
                  <span class="method-name">_03</span>
                  <em>
(numeric json field populates to an int value correctly)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_04">
                  </a> <!-- _04 -->
                  <span class="method-name">_04</span>
                  <em>
(numeric json field populates to an Integer value correctly)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_05">
                  </a> <!-- _05 -->
                  <span class="method-name">_05</span>
                  <em>
(json string field that is numeric populates to an int value correctly)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_06">
                  </a> <!-- _06 -->
                  <span class="method-name">_06</span>
                  <em>
(json string field that is numeric populates to an Integer value correctly)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_07">
                  </a> <!-- _07 -->
                  <span class="method-name">_07</span>
                  <em>
(json string field that is alphanumeric populates to an int value of 0)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_08">
                  </a> <!-- _08 -->
                  <span class="method-name">_08</span>
                  <em>
(json string field that is alphanumeric populates to an Integer value of null)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_09">
                  </a> <!-- _09 -->
                  <span class="method-name">_09</span>
                  <em>
(missing json field populates to a float value of 0)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_10">
                  </a> <!-- _10 -->
                  <span class="method-name">_10</span>
                  <em>
(missing json field populates to a Float value of null)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_11">
                  </a> <!-- _11 -->
                  <span class="method-name">_11</span>
                  <em>
(numeric json field populates to a float value correctly)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_12">
                  </a> <!-- _12 -->
                  <span class="method-name">_12</span>
                  <em>
(numeric json field populates to a Float value correctly)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_13">
                  </a> <!-- _13 -->
                  <span class="method-name">_13</span>
                  <em>
(json string field that is numeric populates to a float value correctly)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_14">
                  </a> <!-- _14 -->
                  <span class="method-name">_14</span>
                  <em>
(json string field that is numeric populates to a Float value correctly)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-jsonmapper_test_scenarios-class-passed -->
          <div class="suite-jsonmapper_test_scenarios-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">id.jsonmapper.test.scenarios._03.TestForBooleanValues</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="_01">
                  </a> <!-- _01 -->
                  <span class="method-name">_01</span>
                  <em>
(missing json field populates to a value of false)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_02">
                  </a> <!-- _02 -->
                  <span class="method-name">_02</span>
                  <em>
(json boolean field with value of true is loaded correctly)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_03">
                  </a> <!-- _03 -->
                  <span class="method-name">_03</span>
                  <em>
(json string field with value of 'true' is loaded correctly)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_04">
                  </a> <!-- _04 -->
                  <span class="method-name">_04</span>
                  <em>
(json string field with value other than 'true' populates to a value of false)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_05">
                  </a> <!-- _05 -->
                  <span class="method-name">_05</span>
                  <em>
(missing json field populates to a Boolean value of null)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_06">
                  </a> <!-- _06 -->
                  <span class="method-name">_06</span>
                  <em>
(json boolean field with value of true populates to a Boolean value of TRUE)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_07">
                  </a> <!-- _07 -->
                  <span class="method-name">_07</span>
                  <em>
(json string field with value of 'true' populates to a Boolean value of TRUE)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_08">
                  </a> <!-- _08 -->
                  <span class="method-name">_08</span>
                  <em>
(json boolean field with value of false populates to a Boolean value of FALSE)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_09">
                  </a> <!-- _09 -->
                  <span class="method-name">_09</span>
                  <em>
(json string field with value of 'false' populates to a Boolean value of FALSE)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="_10">
                  </a> <!-- _10 -->
                  <span class="method-name">_10</span>
                  <em>
(json string field with value other than 'true' or 'false' populates to a Boolean value of null)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-jsonmapper_test_scenarios-class-passed -->
        </div> <!-- panel jsonmapper_test_scenarios -->
        <div panel-name="test-xml-jsonmapper_test_scenarios" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">/_#/pandora/extdrive/gitlab-idax/glu/jsonmapper-tests/testng.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;https://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite thread-count=&quot;1&quot; parallel=&quot;methods&quot; name=&quot;jsonmapper test scenarios&quot; guice-stage=&quot;DEVELOPMENT&quot; verbose=&quot;4&quot;&gt;
  &lt;test thread-count=&quot;1&quot; parallel=&quot;methods&quot; name=&quot;all_scenarios&quot; verbose=&quot;4&quot;&gt;
    &lt;packages&gt;
      &lt;package name=&quot;id.jsonmapper.test.scenarios.*&quot;/&gt;
    &lt;/packages&gt;
    &lt;classes&gt;
      &lt;class name=&quot;id.jsonmapper.test.scenarios._02.IntLength&quot;/&gt;
      &lt;class name=&quot;id.jsonmapper.test.scenarios._02.TestForNumericValues&quot;/&gt;
      &lt;class name=&quot;id.jsonmapper.test.scenarios._02.FloatLength&quot;/&gt;
      &lt;class name=&quot;id.jsonmapper.test.scenarios._03.TestForBooleanValues&quot;/&gt;
      &lt;class name=&quot;id.jsonmapper.test.scenarios._03.Switch&quot;/&gt;
      &lt;class name=&quot;id.jsonmapper.test.scenarios._03.BigSwitch&quot;/&gt;
      &lt;class name=&quot;id.jsonmapper.test.scenarios.s01.ScenarioSet01&quot;/&gt;
      &lt;class name=&quot;id.jsonmapper.test.scenarios.s01.FullName&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- all_scenarios --&gt;
&lt;/suite&gt; &lt;!-- jsonmapper test scenarios --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-jsonmapper_test_scenarios" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for jsonmapper test scenarios</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">all_scenarios (8 classes)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-jsonmapper_test_scenarios" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for jsonmapper test scenarios</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-jsonmapper_test_scenarios" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for jsonmapper test scenarios</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_jsonmapper_test_scenarios');
function tableData_jsonmapper_test_scenarios() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(28);
data.setCell(0, 0, 0)
data.setCell(0, 1, '_01')
data.setCell(0, 2, 'id.jsonmapper.test.scenarios._02.TestForNumericValues')
data.setCell(0, 3, 30);
data.setCell(1, 0, 1)
data.setCell(1, 1, '_07')
data.setCell(1, 2, 'id.jsonmapper.test.scenarios._02.TestForNumericValues')
data.setCell(1, 3, 6);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'test01')
data.setCell(2, 2, 'id.jsonmapper.test.scenarios.s01.ScenarioSet01')
data.setCell(2, 3, 1);
data.setCell(3, 0, 3)
data.setCell(3, 1, '_03')
data.setCell(3, 2, 'id.jsonmapper.test.scenarios._02.TestForNumericValues')
data.setCell(3, 3, 1);
data.setCell(4, 0, 4)
data.setCell(4, 1, 'test03')
data.setCell(4, 2, 'id.jsonmapper.test.scenarios.s01.ScenarioSet01')
data.setCell(4, 3, 1);
data.setCell(5, 0, 5)
data.setCell(5, 1, '_12')
data.setCell(5, 2, 'id.jsonmapper.test.scenarios._02.TestForNumericValues')
data.setCell(5, 3, 1);
data.setCell(6, 0, 6)
data.setCell(6, 1, '_05')
data.setCell(6, 2, 'id.jsonmapper.test.scenarios._03.TestForBooleanValues')
data.setCell(6, 3, 1);
data.setCell(7, 0, 7)
data.setCell(7, 1, '_08')
data.setCell(7, 2, 'id.jsonmapper.test.scenarios._03.TestForBooleanValues')
data.setCell(7, 3, 1);
data.setCell(8, 0, 8)
data.setCell(8, 1, '_02')
data.setCell(8, 2, 'id.jsonmapper.test.scenarios._02.TestForNumericValues')
data.setCell(8, 3, 0);
data.setCell(9, 0, 9)
data.setCell(9, 1, '_06')
data.setCell(9, 2, 'id.jsonmapper.test.scenarios._03.TestForBooleanValues')
data.setCell(9, 3, 0);
data.setCell(10, 0, 10)
data.setCell(10, 1, '_03')
data.setCell(10, 2, 'id.jsonmapper.test.scenarios._03.TestForBooleanValues')
data.setCell(10, 3, 0);
data.setCell(11, 0, 11)
data.setCell(11, 1, '_08')
data.setCell(11, 2, 'id.jsonmapper.test.scenarios._02.TestForNumericValues')
data.setCell(11, 3, 0);
data.setCell(12, 0, 12)
data.setCell(12, 1, '_05')
data.setCell(12, 2, 'id.jsonmapper.test.scenarios._02.TestForNumericValues')
data.setCell(12, 3, 0);
data.setCell(13, 0, 13)
data.setCell(13, 1, '_01')
data.setCell(13, 2, 'id.jsonmapper.test.scenarios._03.TestForBooleanValues')
data.setCell(13, 3, 0);
data.setCell(14, 0, 14)
data.setCell(14, 1, '_04')
data.setCell(14, 2, 'id.jsonmapper.test.scenarios._02.TestForNumericValues')
data.setCell(14, 3, 0);
data.setCell(15, 0, 15)
data.setCell(15, 1, '_10')
data.setCell(15, 2, 'id.jsonmapper.test.scenarios._02.TestForNumericValues')
data.setCell(15, 3, 0);
data.setCell(16, 0, 16)
data.setCell(16, 1, '_02')
data.setCell(16, 2, 'id.jsonmapper.test.scenarios._03.TestForBooleanValues')
data.setCell(16, 3, 0);
data.setCell(17, 0, 17)
data.setCell(17, 1, '_13')
data.setCell(17, 2, 'id.jsonmapper.test.scenarios._02.TestForNumericValues')
data.setCell(17, 3, 0);
data.setCell(18, 0, 18)
data.setCell(18, 1, 'test02')
data.setCell(18, 2, 'id.jsonmapper.test.scenarios.s01.ScenarioSet01')
data.setCell(18, 3, 0);
data.setCell(19, 0, 19)
data.setCell(19, 1, '_09')
data.setCell(19, 2, 'id.jsonmapper.test.scenarios._02.TestForNumericValues')
data.setCell(19, 3, 0);
data.setCell(20, 0, 20)
data.setCell(20, 1, '_07')
data.setCell(20, 2, 'id.jsonmapper.test.scenarios._03.TestForBooleanValues')
data.setCell(20, 3, 0);
data.setCell(21, 0, 21)
data.setCell(21, 1, '_11')
data.setCell(21, 2, 'id.jsonmapper.test.scenarios._02.TestForNumericValues')
data.setCell(21, 3, 0);
data.setCell(22, 0, 22)
data.setCell(22, 1, 'test05')
data.setCell(22, 2, 'id.jsonmapper.test.scenarios.s01.ScenarioSet01')
data.setCell(22, 3, 0);
data.setCell(23, 0, 23)
data.setCell(23, 1, '_04')
data.setCell(23, 2, 'id.jsonmapper.test.scenarios._03.TestForBooleanValues')
data.setCell(23, 3, 0);
data.setCell(24, 0, 24)
data.setCell(24, 1, '_09')
data.setCell(24, 2, 'id.jsonmapper.test.scenarios._03.TestForBooleanValues')
data.setCell(24, 3, 0);
data.setCell(25, 0, 25)
data.setCell(25, 1, '_14')
data.setCell(25, 2, 'id.jsonmapper.test.scenarios._02.TestForNumericValues')
data.setCell(25, 3, 0);
data.setCell(26, 0, 26)
data.setCell(26, 1, '_06')
data.setCell(26, 2, 'id.jsonmapper.test.scenarios._02.TestForNumericValues')
data.setCell(26, 3, 0);
data.setCell(27, 0, 27)
data.setCell(27, 1, '_10')
data.setCell(27, 2, 'id.jsonmapper.test.scenarios._03.TestForBooleanValues')
data.setCell(27, 3, 0);
window.suiteTableData['jsonmapper_test_scenarios']= { tableData: data, tableDiv: 'times-div-jsonmapper_test_scenarios'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 42 ms</span>
              <div id="times-div-jsonmapper_test_scenarios">
              </div> <!-- times-div-jsonmapper_test_scenarios -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-jsonmapper_test_scenarios" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for jsonmapper test scenarios</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-jsonmapper_test_scenarios" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-jsonmapper_test_scenarios" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">id.jsonmapper.test.scenarios._02.TestForNumericValues</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">_01</span>
                <span class="method-start">0 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_02</span>
                <span class="method-start">32 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_03</span>
                <span class="method-start">32 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_04</span>
                <span class="method-start">33 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_05</span>
                <span class="method-start">34 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_07</span>
                <span class="method-start">34 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_06</span>
                <span class="method-start">34 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_08</span>
                <span class="method-start">41 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_09</span>
                <span class="method-start">41 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_10</span>
                <span class="method-start">42 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_12</span>
                <span class="method-start">42 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_11</span>
                <span class="method-start">42 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_13</span>
                <span class="method-start">43 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_14</span>
                <span class="method-start">43 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">id.jsonmapper.test.scenarios._03.TestForBooleanValues</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">_01</span>
                <span class="method-start">44 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_02</span>
                <span class="method-start">44 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_03</span>
                <span class="method-start">45 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_05</span>
                <span class="method-start">45 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_04</span>
                <span class="method-start">45 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_06</span>
                <span class="method-start">46 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_07</span>
                <span class="method-start">46 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_08</span>
                <span class="method-start">46 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">id.jsonmapper.test.scenarios.s01.ScenarioSet01</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">test01</span>
                <span class="method-start">47 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">id.jsonmapper.test.scenarios._03.TestForBooleanValues</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">_09</span>
                <span class="method-start">47 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">_10</span>
                <span class="method-start">47 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">id.jsonmapper.test.scenarios.s01.ScenarioSet01</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">test03</span>
                <span class="method-start">48 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">test02</span>
                <span class="method-start">48 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">test05</span>
                <span class="method-start">49 ms</span>
              </div> <!-- test-method -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
<script type="text/javascript" src="testng-reports2.js"></script>
</html>
